Upstream information

CVE-2018-3693 at MITRE

Description

Systems with microprocessors utilizing speculative execution and branch prediction may allow unauthorized disclosure of information to an attacker with local user access via a speculative buffer overflow and side-channel analysis.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.7
Vector AV:L/AC:M/Au:N/C:C/I:N/A:N
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.6 7.1
Vector AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N AV:L/AC:L/PR:N/UI:N/S:C/C:H/I:N/A:N
Access Vector Local Local
Access Complexity High Low
Privileges Required Low None
User Interaction None None
Scope Changed Changed
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None

Note from the SUSE Security Team

SUSE is aware of these issues and is working together with upstream Linux Kernel development to add mitigiations for these in the near future.

SUSE Bugzilla entries: 1087084 [NEW], 1101008 [RESOLVED / DUPLICATE]

SUSE Security Advisories:
  • TID7022512, published Sa 3. Mär 12:01:04 CET 2018
  • TID7023075, published Wed Jul 11 12:49:24 UTC 2018


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 kernel-source Unsupported
SUSE Linux Enterprise Desktop 12 SP3 kernel-source Affected
SUSE Linux Enterprise Module for Basesystem 15 GA kernel-source Affected
SUSE Linux Enterprise Module for Development Tools 15 GA kernel-source Affected
SUSE Linux Enterprise Server 11 SP3 LTSS kernel-source Affected
SUSE Linux Enterprise Server 11 SP4 kernel-source Affected
SUSE Linux Enterprise Server 12 GA LTSS kernel-source Affected
SUSE Linux Enterprise Server 12 SP1 LTSS kernel-source Affected
SUSE Linux Enterprise Server 12 SP2 kernel-source Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS kernel-source Affected
SUSE Linux Enterprise Server 12 SP3 kernel-source Affected